astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Models and Fitting (`astropy.modeling`) »
- TrapezoidDisk2D

# TrapezoidDisk2D

class `astropy.modeling.functional_models.``TrapezoidDisk2D`

  Bases: `astropy.modeling.Fittable2DModel`

  Two dimensional circular Trapezoid model.

  Parameters:

  amplitude : float

  > Amplitude of the trapezoid

  x_0 : float

  > x position of the center of the trapezoid

  y_0 : float

  > y position of the center of the trapezoid

  R_0 : float

  > Radius of the constant part of the trapezoid.

  slope : float

  > Slope of the tails of the trapezoid in x direction.

  Other Parameters:

  fixed : a dict

  > A dictionary `{parameter_name: boolean}` of parameters to not be varied during fitting. True means the parameter is held fixed. Alternatively the `fixed` property of a parameter may be used.

  tied : dict

  > A dictionary `{parameter_name: callable}` of parameters which are linked to some other parameter. The dictionary values are callables providing the linking relationship. Alternatively the `tied` property of a parameter may be used.

  bounds : dict

  > A dictionary `{parameter_name: boolean}` of lower and upper bounds of parameters. Keys are parameter names. Values are a list of length 2 giving the desired range for the parameter. Alternatively the `min` and `max` properties of a parameter may be used.

  eqcons : list

  > A list of functions of length `n` such that `eqcons[j](x0,*args) == 0.0` in a successfully optimized problem.

  ineqcons : list

  > A list of functions of length `n` such that `ieqcons[j](x0,*args) >= 0.0` is a successfully optimized problem.

  See also

  `Disk2D`, `Box2D`

  Attributes Summary

  `R_0` |
  `amplitude` |
  `param_names` |
  `slope` |
  `x_0` |
  `y_0` |

  Methods Summary

  `evaluate`(x, y, amplitude, x_0, y_0, R_0, slope) | Two dimensional Trapezoid Disk model function

  Attributes Documentation

  `R_0`
  `amplitude`
  `param_names` = ('amplitude', 'x_0', 'y_0', 'R_0', 'slope')
  `slope`
  `x_0`
  `y_0`

  Methods Documentation

  static `evaluate`(x, y, amplitude, x_0, y_0, R_0, slope)

    Two dimensional Trapezoid Disk model function